6.0.0-git
2018-12-15

[#12782] vCard export via CardDAV interface contains properties with empty values violating the spec
Summary vCard export via CardDAV interface contains properties with empty values violating the spec
Queue Turba
Queue Version 4.1.2
Type Bug
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester ralf (at) kruedewagen (dot) de
Created 2013-10-22 (1880 days ago)
Due
Updated 2014-06-05 (1654 days ago)
Assigned
Resolved 2014-01-27 (1783 days ago)
Milestone
Patch No

History
2014-06-05 21:44:47 nino (at) promedia-sds (dot) de Comment #13 Reply to this comment
This fix solves the issue for me. Thank you very much!
2014-06-04 09:11:39 Git Commit Comment #12 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_1):

commit aecb91e6b93e4e3feb770afa5b6498000de3f667
Author: Jan Schneider <jan@horde.org>
Date:   Wed Jun 4 11:03:17 2014 +0200

     Fix not outputting empty properties to CarDAV (Bug #12782).

  turba/lib/Application.php |    3 ++-
  1 files changed, 2 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/aecb91e6b93e4e3feb770afa5b6498000de3f667
2014-06-04 09:03:44 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (master):

commit 6248e91edd4417920c9dc59cc6c99f04246d1fa7
Author: Jan Schneider <jan@horde.org>
Date:   Wed Jun 4 11:03:17 2014 +0200

     Fix not outputting empty properties to CarDAV (Bug #12782).

  turba/lib/Application.php |    3 ++-
  1 files changed, 2 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/6248e91edd4417920c9dc59cc6c99f04246d1fa7
2014-04-09 21:49:48 nino (at) promedia-sds (dot) de Comment #10 Reply to this comment
I can also confirm that the fix solved the problem for webDAV but 
unfortunately not for cardDAV.
This issue also affects the Android CardDAV sync adapter DAVdroid.

Please see here for details:
https://github.com/rfc2822/davdroid/issues/226
2014-04-04 18:41:22 play (at) bitfire (dot) at Comment #9 Reply to this comment
This issue also affects the Android CardDAV sync adapter DAVdroid.

Please see here for details:
https://github.com/rfc2822/davdroid/issues/226
2014-03-31 09:31:44 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_1):

commit f4174df99db92e02a1a8137219978eb5579a4201
Author: Jan Schneider <jan@horde.org>
Date:   Mon Mar 31 11:31:20 2014 +0200

     [mjr] Don't output empty properties for CardDav requests (Bug #12782).

  turba/docs/CHANGES |    1 +
  turba/package.xml  |    2 ++
  2 files changed, 3 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/f4174df99db92e02a1a8137219978eb5579a4201
2014-03-31 09:31:39 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_1):

commit 738ce25ef601182e4c009f2f34f9155bdba38952
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Jan 27 16:56:48 2014 -0500

     Don't output empty properties for CardDav requests. Bug: 12782

  turba/lib/Api.php |    6 +++---
  1 files changed, 3 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/738ce25ef601182e4c009f2f34f9155bdba38952
2014-03-29 01:17:16 Michael Rubinsky Comment #6 Reply to this comment
So was this included in the 4.1.4 or not? I still see the bug...
No, it looks like it wasn't merged from the master branch (which will be 4.2).
2014-03-28 20:20:44 mehmet (at) giritli (dot) eu Comment #5 Reply to this comment
So was this included in the 4.1.4 or not? I still see the bug...
2014-03-11 08:27:07 ralf (at) kruedewagen (dot) de Comment #4 Reply to this comment
Why was this patch not integrated to the recently released Turba H5 (4.1.4)?
2014-01-27 22:19:08 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Resolved
 
2014-01-27 22:18:48 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 4840a591ea959d2775640a7e16ee113209aac50c
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Jan 27 16:56:48 2014 -0500

     Don't output empty properties for CardDav requests. Bug: 12782

  turba/lib/Api.php |    6 +++---
  1 files changed, 3 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/4840a591ea959d2775640a7e16ee113209aac50c
2013-12-23 09:24:15 linux (at) wolke7 (dot) net Comment #2 Reply to this comment
I also use this carddav sync-adapter on android phone. In addition to 
the 1970-01-01 birthday I get an 1970-01-01 ANNIVERSARY when no date 
specified.
Version installed: Horde 5.1.5

[Show Quoted Text - 57 lines]
2013-10-22 13:32:37 ralf (at) kruedewagen (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ vCard export via CardDAV interface contains properties with empty values violating the spec
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
When sending contact data to a CardDAV client, Horde 5 creates files like:

####################
BEGIN:VCARD
VERSION:3.0
UID:20131018104100.uYYOysmgwqS6tRPiYvf9wA1@domain.de
NICKNAME:
X-EPOCSECONDNAME:
BDAY:
X-ANNIVERSARY:
X-SPOUSE:
PHOTO:
TZ;VALUE=text:
EMAIL;TYPE=INTERNET:
TEL;TYPE=HOME,VOICE:
TEL;TYPE=FAX,HOME:
TEL;TYPE=WORK,VOICE:
TEL;TYPE=CELL,VOICE:
TEL;TYPE=FAX:
TEL;TYPE=PAGER:
TITLE:
ROLE:
LOGO:
CATEGORIES:Business
NOTE:Eine Notiz
URL:
X-WV-ID:
N:ABC AG;;;;
FN:ABC AG
ORG:ABC AG;
ADR;TYPE=HOME:;;;;;;
ADR;TYPE=WORK:;;;;;;
END:VCARD
####################

There are many properties like BDAY (birthday) which have no value 
assigned. This confuses some CardDAV sync clients like the well known 
CardDAV-Sync app http://dmfs.org/carddav/. This sync clients sets 
"01.01.1970" as birthday, which results in getting many wrong calendar 
entries on Jan 1st.

According to discussions with the app developer and my own research on 
common vCard file style, fields like "BDAY" must have a proper 
property value assigned if they are given at all. The ABNF does 
explicitly say that the value must be "date-value" or 
"date-time-value" (not optional, i.e. not empty).

See specs:
http://tools.ietf.org/html/rfc2426#page-31
http://tools.ietf.org/html/rfc6350

Remark: Manual vCard exports of the address book do not contain those 
properties with empty values. So, this is probably just related to the 
CardDAV interface.

So, please just export properties which have a value (like the regular 
address book export already does).

Saved Queries